Skip to main content
Resource Center/Network Service/Network Service Operations/VPC Firewall Operations

CreateFirewallRuleFromConfigFile

CreateFirewallRuleFromConfigFile

POST/zstack/v1/vpcfirewalls/rules/from-file

Operation ID

CreateFirewallRuleFromConfigFile

Since

4.4.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • ruleInfo
      StringRequired

      The firewall rule information.

    • resourceUuid
      String

      Optional. The resource UUID.

    • tagUuids
      List

      Optional. The tag UUID.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    VpcFirewallRuleSetInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • isDefault
      booleanRequired

      Whether the resource is default.

    • isApplied
      booleanRequired

      Whether the resource is applied.

    • createDate
      TimestampRequired

      The creation time.

    • lastOpDate
      TimestampRequired

      The last operation time.

    • actionType
      ActionTypeRequired

      See actionType.

      • drop
        ActionTypeRequired

        The drop.

      • reject
        ActionTypeRequired

        The reject.

      • accept
        ActionTypeRequired

        The accept.